(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./PerlinNoiseGenerator.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.perlinNoisePathName = void 0;
    exports.loadPerlinNoisePath = loadPerlinNoisePath;
    const engine_1 = require("@tsparticles/engine");
    const PerlinNoiseGenerator_js_1 = require("./PerlinNoiseGenerator.js");
    exports.perlinNoisePathName = "perlinNoise";
    async function loadPerlinNoisePath(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addPathGenerator(exports.perlinNoisePathName, new PerlinNoiseGenerator_js_1.PerlinNoiseGenerator(), refresh);
    }
});
